
Create Or Replace Table Credit_Cards
For System Name CRDTCARDSQ (
  CARD_ID                       For CARDID
    Char(5)                     Not Null With Default
  ,
  CARD_NUMBER                   For NUMBER
    Char(20)                    Not Null With Default
  ,
  CREATED_TIMESTAMP             For CREATETS
    Timestamp(0)                Not Null
                                With Default CURRENT_TIMESTAMP
  ,
  CREATED_USER                  For CREATEUSER
    Char(18)                    Not Null
                                With Default USER
  ,
  CHANGED_TIMESTAMP             For CHANGETS
    Timestamp                   Not Null
                                For Each Row On Update
                                As Row Change Timestamp
  ,
  PRIMARY KEY( CARD_ID )
)
RCDFMT CARDR;

LABEL ON TABLE Credit_Cards
 IS 'Credit Cards File (SQL Version)';

LABEL ON COLUMN Credit_Cards (
   CARD_ID                      Is  'Card ID'
,  CARD_NUMBER                  Is  'Card Number'
,  CREATED_TIMESTAMP            Is  'Created Timestamp'
,  CREATED_USER                 Is  'Created By'
,  CHANGED_TIMESTAMP            Is  'Last Changed Timestamp'
);

 